List History
curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/sso/applications/{id}/history \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/sso/applications/{id}/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/sso/applications/{id}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"list": [
{
"metadata": {
"actor": {
"userId": "<string>"
},
"annotations": [
{
"displayLabel": "<string>",
"displayUrl": "<string>",
"displayValue": "<string>",
"key": "<string>",
"rawValue": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"syslogEventId": "<string>",
"traceId": "<string>"
},
"snapshot": {
"appEntitlementId": "<string>",
"appId": "<string>",
"assertionLifetime": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"disabled": true,
"displayName": "<string>",
"id": "<string>",
"oidc": {
"claimMappings": [
{
"claimName": "<string>",
"userAttributeMappingId": "<string>"
}
]
},
"saml": {
"acsUrls": [
"<string>"
],
"spEntityId": "<string>",
"attributeMappings": [
{
"name": "<string>",
"userAttributeMappingId": "<string>",
"friendlyName": "<string>"
}
],
"encryptAssertions": true,
"requireSignedAuthnRequests": true,
"signAssertions": true,
"signResponses": true,
"spEncryptionCertificate": "aSDinaTvuI8gbWludGxpZnk=",
"spSigningCertificates": [
"aSDinaTvuI8gbWludGxpZnk="
]
},
"sectorId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
}
],
"nextPageToken": "<string>"
}SSO
List History
ListHistory returns the change history (newest first) for a single SSO application — each entry is a snapshot plus who/when metadata.
GET
/
api
/
v1
/
apps
/
{app_id}
/
sso
/
applications
/
{id}
/
history
List History
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The application in your catalog that owns the SSO application.
Unique identifier for the SSO application.
Query Parameters
Page size (max 200).
Page token for pagination.
Response
200 - application/json
SSOApplicationServiceListHistoryResponse returns SSO application history entries.
Was this page helpful?
⌘I